This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 80487 - Run dialog box jitters - fixed
Run dialog box jitters - fixed
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-panel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
ftp://go-nix.ca/incoming/gnome-panel-...
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-26 22:56 EST by Gabriel Schulhof
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-26 23:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Schulhof 2002-12-26 22:56:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Also check bug #97385 on bugzilla.gnome.org .

I commented out the offensive code, in case it's needed for other things
(unlikely, AFAICS) - basically, a one-liner.

ftp://go-nix.ca/incoming/gnome-panel-2.0.6-10.i386.rpm and 
ftp://go-nix.ca/incoming/gnome-panel-2.0.6-10.src.rpm are based on
gnome-panel-2.0.6-9.src.rpm as distributed with RedHat 8.0, with an extra patch.
 I'm hoping the GNOME people (I sent the patch to GNOME bugzilla about 23
minutes ago) will pick it up.  It's a small fix, so they should.

Here's the patch file itself:
ftp://go-nix.ca/incoming/gnome-run-flashing.patch


Hope this helps ...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Bring up the Run dialog box.
2. Type "mozilla google.ca"
3. Watch the icon in the dialog box shift back and forth between the default
"Application" icon and the mozilla icon as you hit each key after "mozilla"
    

Actual Results:  The application icon displayed switches back and forth between
the default icon anf the mozilla icon, causing the dialog box to jitter (the
width keeps changing back and forth).

Expected Results:  The application icon should only change when the calculated
application name changes.

Additional info:

None.
Comment 1 Havoc Pennington 2002-12-26 23:47:17 EST
Thanks for the patch, I'll just track this on gnome.org to save
paperwork. Closing here. We'll get the fix with next gnome-panel release.

Note You need to log in before you can comment on or make changes to this bug.